List non-trade activities
GET/v1/accounts/{account_id}/non-trade-activities
List non-trade activities
curl https://api.clearstreet.com/v1/accounts/$ACCOUNT_ID/non-trade-activities \
-H "Authorization: Bearer $API_KEY"{
"data": [
{
"account_id": "123456789",
"activity_subtype": "cash_dividend",
"activity_type": "dividend",
"amount": "42",
"created_at": "2026-09-11T20:52:01.412732Z",
"currency": "USD",
"effective_date": "2026-09-11",
"id": "01a0923d-d704-78b2-8e38-5a1cbfb7d989",
"instrument_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
"instrument_type": "COMMON_STOCK",
"memo": "test memo",
"qty": "0",
"reference_id": "01a0923d-d704-78b2-8e38-5a58c53f0cfa",
"state": "settled",
"symbol": "AAPL"
}
],
"metadata": {
"request_id": "1a2b3c4d-5e6f-7890-1234-5a6b7c8d9e0f"
}
}{
"error": {
"code": 403,
"message": "The caller does not have permission to execute the specified operation"
},
"metadata": {
"request_id": "5518f0c6-58ff-4b4a-81a5-701556d41206"
}
}{
"error": {
"code": 404,
"message": "Some requested entity was not found"
},
"metadata": {
"request_id": "67e95eb4-93b9-4010-8c9b-7ada7c2be93f"
}
}Returns Examples
{
"data": [
{
"account_id": "123456789",
"activity_subtype": "cash_dividend",
"activity_type": "dividend",
"amount": "42",
"created_at": "2026-09-11T20:52:01.412732Z",
"currency": "USD",
"effective_date": "2026-09-11",
"id": "01a0923d-d704-78b2-8e38-5a1cbfb7d989",
"instrument_id": "a1a2a3a4-b1b2-c1c2-d1d2-d3d4d5d6d7d8",
"instrument_type": "COMMON_STOCK",
"memo": "test memo",
"qty": "0",
"reference_id": "01a0923d-d704-78b2-8e38-5a58c53f0cfa",
"state": "settled",
"symbol": "AAPL"
}
],
"metadata": {
"request_id": "1a2b3c4d-5e6f-7890-1234-5a6b7c8d9e0f"
}
}{
"error": {
"code": 403,
"message": "The caller does not have permission to execute the specified operation"
},
"metadata": {
"request_id": "5518f0c6-58ff-4b4a-81a5-701556d41206"
}
}{
"error": {
"code": 404,
"message": "Some requested entity was not found"
},
"metadata": {
"request_id": "67e95eb4-93b9-4010-8c9b-7ada7c2be93f"
}
}